org.apache.fop.layoutmgr

## Class LayoutException.LayoutExceptionFactory

- java.lang.Object
- - org.apache.fop.layoutmgr.LayoutException.LayoutExceptionFactory

- All Implemented Interfaces:
    EventExceptionManager.ExceptionFactory
  Enclosing class:
    LayoutException

      public static class LayoutException.LayoutExceptionFactory
      extends Object
      implements EventExceptionManager.ExceptionFactory

  Exception factory for `LayoutException`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutExceptionFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `createException(Event event)`
    `Class<LayoutException>` | `getExceptionClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutExceptionFactory

          public LayoutExceptionFactory()

  - ### Method Detail

    - #### createException

          public Throwable createException(Event event)

      Specified by:
        `createException` in interface `EventExceptionManager.ExceptionFactory`

    - #### getExceptionClass

          public Class<LayoutException> getExceptionClass()

      Specified by:
        `getExceptionClass` in interface `EventExceptionManager.ExceptionFactory`

Copyright © 2023 Apache Software Foundation. All rights reserved.